/*
	File:		SampleFileTranslationExt.r

	Contains:	Resources for a sample Gremlin file translation extension

	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.
*/

/*
	File:		SampleFileTranslationExt.r

	Contains:	Sample resource shell for writing a File Translation Extension.

	Copyright:	 1990-1992 by Apple Computer, Inc., all rights reserved.


*/



#include "Types.r"
#include "TranslationExtensions.h"


#define kSignature 				'????'	/* set this to creator signature of extension */
#define kComponentFileType		'thng'	/* 'thng' => ComponentMgr component file */

resource 'thng' (128, locked) {
	'xlat',						/* all Translation Extensions have type = 'xlat' */
	0,							/* sub type unused */
	kSignature,					/* must be unique across all translation extensions  */
	kSupportsFileTranslation,	/* add in kSupportsScapTranslation if scrap routines are implemented */
	0,							/* mask is ignored and should be 0 */
	'xlat',128,
	'STR ',128,
	'STR ',129,
	'ICON',128
};


resource 'STR ' (128, purgeable) {
	"Sample File Translate Extension"
};

resource 'STR ' (129, purgeable) {
	"This is my sample File Translate Extension. "
	"Put it in the extension folder to make it work. "
};

resource 'ICON' (128, purgeable) {
	$"7FFF FFF0 8000 0008 8000 0008 8000 0008"
	$"8000 0008 8000 0008 8000 0008 8000 0008"
	$"A000 0008 D000 000A 9000 000D 1000 0009"
	$"1000 0001 1000 0001 1000 0001 1000 0001"
	$"1000 0001 1000 0001 1000 0001 1000 0001"
	$"1000 0009 9000 000D D000 000A A000 0008"
	$"8000 0008 8000 0008 8000 0008 8000 0008"
	$"8000 0008 8000 0008 8000 0008 7FFF FFF0",
};


